> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /meetup/events/search

> Search Meetup events by keyword and location with filters for online/in-person type, search radius, category and date range. Returns a paginated list of events with title, description, start and end time, venue, hosting group with rating, attendee count, price and photo.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/events-tickets.json post /api/meetup/events/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/meetup/events/search:
    post:
      tags:
        - /meetup
      summary: /meetup/events/search
      description: >-
        Search Meetup events by keyword and location with filters for
        online/in-person type, search radius, category and date range. Returns a
        paginated list of events with title, description, start and end time,
        venue, hosting group with rating, attendee count, price and photo.


        **Price:** 1 credit
      operationId: __api_meetup_events_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeetupEventsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MeetupEvent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MeetupEventsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
        event_type:
          anyOf:
            - $ref: '#/components/schemas/MeetupEventType'
            - type: 'null'
        distance:
          anyOf:
            - $ref: '#/components/schemas/MeetupDistance'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/MeetupCategory'
            - type: 'null'
        date:
          anyOf:
            - $ref: '#/components/schemas/MeetupEventDate'
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - count
    MeetupEvent:
      properties:
        '@type':
          type: string
          default: MeetupEvent
        id:
          type: string
        name:
          type: string
        source_url:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        event_type:
          anyOf:
            - type: string
            - type: 'null'
        is_online:
          type: boolean
          default: false
        start_at:
          anyOf:
            - type: string
            - type: 'null'
        end_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        venue:
          anyOf:
            - $ref: '#/components/schemas/MeetupVenue'
            - type: 'null'
        max_tickets:
          anyOf:
            - type: integer
            - type: 'null'
        going_count:
          anyOf:
            - type: integer
            - type: 'null'
        waitlist_count:
          anyOf:
            - type: integer
            - type: 'null'
        rsvp_state:
          anyOf:
            - type: string
            - type: 'null'
        guests_allowed:
          anyOf:
            - type: boolean
            - type: 'null'
        allowed_guest_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_free:
          type: boolean
          default: true
        fee_amount:
          anyOf:
            - type: number
            - type: 'null'
        fee_currency:
          anyOf:
            - type: string
            - type: 'null'
        topics:
          items:
            $ref: '#/components/schemas/MeetupTopic'
          type: array
          default: []
        hosts:
          items:
            $ref: '#/components/schemas/MeetupEventHost'
          type: array
          default: []
        speaker:
          anyOf:
            - $ref: '#/components/schemas/MeetupEventSpeaker'
            - type: 'null'
        group:
          anyOf:
            - $ref: '#/components/schemas/MeetupEventGroup'
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        series_description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MeetupEventType:
      type: string
      enum:
        - online
        - in_person
    MeetupDistance:
      type: string
      enum:
        - '2'
        - '5'
        - '10'
        - '25'
        - '50'
        - '100'
    MeetupCategory:
      type: string
      enum:
        - art_culture
        - beliefs_religion
        - career_business
        - community_environment
        - dancing
        - science_education
        - games
        - health_wellbeing
        - identity_language
        - music
        - travel_outdoor
        - parents_family
        - pets_animals
        - social_activities
        - sports_fitness
        - technology
        - writing
    MeetupEventDate:
      type: string
      enum:
        - today
        - tomorrow
        - this_week
        - this_weekend
        - next_week
        - next_weekend
    MeetupVenue:
      properties:
        '@type':
          type: string
          default: MeetupVenue
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    MeetupTopic:
      properties:
        '@type':
          type: string
          default: MeetupTopic
        id:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    MeetupEventHost:
      properties:
        '@type':
          type: string
          default: MeetupEventHost
        member_id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_super_organizer:
          type: boolean
          default: false
      type: object
      required:
        - member_id
    MeetupEventSpeaker:
      properties:
        '@type':
          type: string
          default: MeetupEventSpeaker
        name:
          type: string
        bio:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    MeetupEventGroup:
      properties:
        '@type':
          type: string
          default: MeetupEventGroup
        id:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        timezone:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````